gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.CairoRenderer

Contents

- Exported types
- Methods
  - new

Description

Renders a GSK rendernode tree with cairo.

Since it is using cairo, this renderer cannot support 3D transformations.

Synopsis

- newtype CairoRenderer = CairoRenderer (ManagedPtr CairoRenderer)
- class (GObject o, IsDescendantOf CairoRenderer o) => IsCairoRenderer o
- toCairoRenderer :: (MonadIO m, IsCairoRenderer o) => o -> m CairoRenderer
- cairoRendererNew :: (HasCallStack, MonadIO m) => m CairoRenderer

# Exported types

newtype CairoRenderer Source #

Memory-managed wrapper type.

Constructors

CairoRenderer (ManagedPtr CairoRenderer) |

#### Instances

Instances details

Eq CairoRenderer Source # |
Instance details Defined in GI.Gsk.Objects.CairoRenderer Methods (==) :: CairoRenderer -> CairoRenderer -> Bool Source # (/=) :: CairoRenderer -> CairoRenderer -> Bool Source #
GObject CairoRenderer Source # |
Instance details Defined in GI.Gsk.Objects.CairoRenderer
ManagedPtrNewtype CairoRenderer Source # |
Instance details Defined in GI.Gsk.Objects.CairoRenderer Methods toManagedPtr :: CairoRenderer -> ManagedPtr CairoRenderer Source #
TypedObject CairoRenderer Source # |
Instance details Defined in GI.Gsk.Objects.CairoRenderer Methods glibType :: IO GType Source #
HasParentTypes CairoRenderer Source # |
Instance details Defined in GI.Gsk.Objects.CairoRenderer
IsGValue (Maybe CairoRenderer) Source # | Convert `CairoRenderer` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gsk.Objects.CairoRenderer Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe CairoRenderer -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe CairoRenderer) Source #
type ParentTypes CairoRenderer Source # |
Instance details Defined in GI.Gsk.Objects.CairoRenderer type ParentTypes CairoRenderer = '[Renderer, Object]

class (GObject o, IsDescendantOf CairoRenderer o) => IsCairoRenderer o Source #

Type class for types which can be safely cast to `CairoRenderer`, for instance with `toCairoRenderer`.

#### Instances

Instances details

(GObject o, IsDescendantOf CairoRenderer o) => IsCairoRenderer o Source # |
Instance details Defined in GI.Gsk.Objects.CairoRenderer

toCairoRenderer :: (MonadIO m, IsCairoRenderer o) => o -> m CairoRenderer Source #

Cast to `CairoRenderer`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, isRealized, notify, notifyByPspec, realize, realizeForDisplay, ref, refSink, render, renderTexture, runDispose, stealData, stealQdata, thawNotify, unrealize, unref, watchClosure.

#### Getters

getData, getProperty, getQdata, getSurface.

#### Setters

setData, setDataFull, setProperty.

## new

cairoRendererNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m CairoRenderer | Returns: a new Cairo renderer.

Creates a new Cairo renderer.

The Cairo renderer is the fallback renderer drawing in ways similar to how GTK 3 drew its content. Its primary use is as comparison tool.

The Cairo renderer is incomplete. It cannot render 3D transformed content and will instead render an error marker. Its usage should be avoided.